cordova plugin themeable browser

cordova plugin themeable browser

  

hi everyone,

Im using outsystems 10, silk ui mobile and im trying to link social media sites  to my app. Im using inAppBrowser plugin to open different links and so Im using the same to open social media sites as well. I have installed InAppBrowser plugin and now iit says cordova is not defined. So, now im trying to install cordova. I have downloaded cordova-plugin-themeablebrowser-master. Now my question is its a zip file. where to upload it and what to do next?

hafsa zaineb wrote:

hi everyone,

Im using outsystems 10, silk ui mobile and im trying to link social media sites  to my app. Im using inAppBrowser plugin to open different links and so Im using the same to open social media sites as well. I have installed InAppBrowser plugin and now iit says cordova is not defined. So, now im trying to install cordova. I have downloaded cordova-plugin-themeablebrowser-master. Now my question is its a zip file. where to upload it and what to do next?

Hi Hafsa.

That error you're getting means that cordova is not installed or not available.

Just to have sure, you're testing directly on a device, correct? 

Did you try to create a new build of the mobile app? 


Gonçalo Martins wrote:

hafsa zaineb wrote:

hi everyone,

Im using outsystems 10, silk ui mobile and im trying to link social media sites  to my app. Im using inAppBrowser plugin to open different links and so Im using the same to open social media sites as well. I have installed InAppBrowser plugin and now iit says cordova is not defined. So, now im trying to install cordova. I have downloaded cordova-plugin-themeablebrowser-master. Now my question is its a zip file. where to upload it and what to do next?

Hi Hafsa.

That error you're getting means that cordova is not installed or not available.

Just to have sure, you're testing directly on a device, correct? 

Did you try to create a new build of the mobile app? 


Hi Goncalo,

        Im using outsystems now to test my app on device. The problem Im facing is I can open all my links using LG G2 mobile but other than that I cant open any using huawei P9 or samsung. I get that cordova is not installed.


I installed the inappBrowser plugin and then I installed cordove. for cordova what i did was I got the link from this site

https://github.com/initialxy/cordova-plugin-themeablebrowser

where it says "clone or download"

then i followed the stepts present in this link

https://success.outsystems.com/Documentation/10/Extensibility_and_Integration/Mobile_Plugins/Create_a_Plugin_to_Use_Mobile_Capabilities_in_Your_Application

I pasted the link i got from the first link into the 2nd screenshot of the second link. I used the first way only. I didnot follow the 5th point in it as i thought there is no need for that. I didnt go further and as the module for cordova was created seperate so I added it using dependencies .

STILL NO LUCK.

cordova wont work :(



Hi Hafsa.

I believe you need to generate the mobile app in order to test what you need.

With Outsystems Now, as is, I think you are not able to use Cordova.


Hi Goncalo,

I just generated the app and tried to download in my device. In package installer it says 


"Parse error"


There was a problem parsing the package.

what does that mean?

hafsa zaineb wrote:

Hi Goncalo,

I just generated the app and tried to download in my device. In package installer it says 


"Parse error"


There was a problem parsing the package.

what does that mean?

Are you using Android or iOS?

Something went wrong with the build. 


Gonçalo Martins wrote:

hafsa zaineb wrote:

Hi Goncalo,

I just generated the app and tried to download in my device. In package installer it says 


"Parse error"


There was a problem parsing the package.

what does that mean?

Are you using Android or iOS?

Something went wrong with the build. 


android. shall I generate it again?


Solution

hafsa zaineb wrote:

Gonçalo Martins wrote:

hafsa zaineb wrote:

Hi Goncalo,

I just generated the app and tried to download in my device. In package installer it says 


"Parse error"


There was a problem parsing the package.

what does that mean?

Are you using Android or iOS?

Something went wrong with the build. 


android. shall I generate it again?


Yes, try to do that.

If doesn't work, try to create a new application, move all the modules to that new application and try to generate the Android build again.


Solution

Hi Goncalo,

         I create a new app and moved the modules into it. It worked. I also  installed my app in a device that has a better version of android. 

Regards,

Hafsa